SpreadJS allows you to move rows or columns by drag row or column headers.
First select the row or column headers, then drag the selected row or column headers to move the rows or columns:
Users can specifies how to allow drag header to move through the following API:
The available options in GC.Spread.Sheets.AllowDragHeaderToMove:
none: Specifies that no drag header to move allowed.
column: Specifies that only the column header allow to move.
row: Specifies that only the row header allow to move.
both: Specifies that both column and row header allow to move.
window.onload = async () => {
const loadingTip = addLoadingTip();
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"));
const res = await fetch('$DEMOROOT$/en/sample/features/worksheet/drag-header-to-move/spread.json');
await spread.fromJSON(await res.json());
spread.options.allowDragHeaderToMove = GC.Spread.Sheets.AllowDragHeaderToMove.none;
loadingTip.remove();
/*
* Show or hide the column header.
*/
_getElementById("allowDragHeaderToMove").addEventListener('change',function (e) {
spread.options.allowDragHeaderToMove = e.target.value;
});
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function _getElementById(id) {
return document.getElementById(id);
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
<p>First select the row or column headers, then drag the selected row or column headers to move the rows or columns.</p>
</div>
<hr>
<div class="option-row">
<p>Set the options below to specify how to allow drag header to move.</p>
</div>
<div class="option-row">
<label for="allowDragHeaderToMove" class="label">Drag header to move:</label>
<select id="allowDragHeaderToMove" >
<option value="0" selected>None</option>
<option value="1">Column</option>
<option value="2">Row</option>
<option value="3">Both</option>
</select>
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

SpreadJS allows you to move rows or columns by drag row or column headers.
First select the row or column headers, then drag the selected row or column headers to move the rows or columns:
Users can specifies how to allow drag header to move through the following API:
The available options in GC.Spread.Sheets.AllowDragHeaderToMove:
none: Specifies that no drag header to move allowed.
column: Specifies that only the column header allow to move.
row: Specifies that only the row header allow to move.
both: Specifies that both column and row header allow to move.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import './styles.css';
const useState = React.useState;
export function AppFunc() {
const [spread, setSpread] = useState(null);
const initSpread = async (spread) => {
setSpread(spread);
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/worksheet/drag-header-to-move/spread.json');
await spread.fromJSON(await res.json());
spread.options.allowDragHeaderToMove = GC.Spread.Sheets.AllowDragHeaderToMove.none;
loadingTip.remove();
}
const dragHeaderToMoveChange = ($event) => {
spread.options.allowDragHeaderToMove = $event.target.value;
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<PanelFunc
dragHeaderToMoveChange={(e) => dragHeaderToMoveChange(e)}
></PanelFunc>
</div>
);
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function SelectInput(props) {
const [value, setValue] = useState(props.value);
const renderSelectOptions = (options) => {
let optionElems = [];
for (let i = 0; i < options.length; i++) {
optionElems.push(<option value={options[i].value}>{options[i].text}</option>);
}
return optionElems;
}
return (
<select
id={props.id}
className={props.className}
value={value}
name={props.name}
onChange={(e) => {
setValue(e.target.value);
props.onChange(e);
}}
>
{renderSelectOptions(props.options)}
</select>
);
}
function PanelFunc(props) {
const allowDragHederToMoveOptions = [{
value: 0,
text: "None"
}, {
value: 1,
text: "Column"
}, {
value: 2,
text: "Row"
}, {
value: 3,
text: "Both"
}];
return (
<div className="options-container">
<div class="option-row">
<p>First select the row or column headers, then drag the selected row or column headers to move the rows or columns.</p>
</div>
<hr />
<div class="option-row">
<p>Set the options below to specify how to allow drag header to move.</p>
</div>
<div class="option-row">
<label htmlFor="allowDragHeaderToMove">Drag header to move:</label>
<SelectInput id="allowDragHeaderToMove" value={0} onChange={props.dragHeaderToMoveChange}
options={allowDragHederToMoveOptions}></SelectInput>
</div>
</div>
);
}
import * as React from 'react';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import GC from '@mescius/spread-sheets';
import './styles.css';
const Component = React.Component, useState = React.useState;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
<Panel
dragHeaderToMoveChange={(e) => this.dragHeaderToMoveChange(e)}
></Panel>
</div>
);
}
async initSpread(spread) {
this.spread = spread;
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/worksheet/drag-header-to-move/spread.json');
await spread.fromJSON(await res.json());
spread.options.allowDragHeaderToMove = GC.Spread.Sheets.AllowDragHeaderToMove.none;
loadingTip.remove();
}
dragHeaderToMoveChange($event) {
const spread = this.spread;
spread.options.allowDragHeaderToMove = $event.target.value;
}
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
function SelectInput(props) {
const [value, setValue] = useState(props.value);
function renderSelectOptions(options) {
let optionElems = [];
for (let i = 0; i < options.length; i++) {
optionElems.push(<option value={options[i].value}>{options[i].text}</option>);
}
return optionElems;
}
return (
<select
id={props.id}
className={props.className}
value={value}
name={props.name}
onChange={(e) => {
setValue(e.target.value);
props.onChange(e);
}}
>
{renderSelectOptions(props.options)}
</select>
);
}
class Panel extends Component {
render() {
const self = this, props = self.props;
const allowDragHederToMoveOptions = [{
value: 0,
text: "None"
}, {
value: 1,
text: "Column"
}, {
value: 2,
text: "Row"
}, {
value: 3,
text: "Both"
}];
return (
<div className="options-container">
<div class="option-row">
<p>First select the row or column headers, then drag the selected row or column headers to move the rows or columns.</p>
</div>
<hr/>
<div class="option-row">
<p>Set the options below to specify how to allow drag header to move.</p>
</div>
<div class="option-row">
<label htmlFor="allowDragHeaderToMove">Drag header to move:</label>
<SelectInput id="allowDragHeaderToMove" value={0} onChange={props.dragHeaderToMoveChange}
options={allowDragHederToMoveOptions}></SelectInput>
</div>
</div>
);
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/spread/source/data/data.js" type="text/javascript"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
margin-bottom: 6px;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

SpreadJS allows you to move rows or columns by drag row or column headers.
First select the row or column headers, then drag the selected row or column headers to move the rows or columns:
Users can specifies how to allow drag header to move through the following API:
The available options in GC.Spread.Sheets.AllowDragHeaderToMove:
none: Specifies that no drag header to move allowed.
column: Specifies that only the column header allow to move.
row: Specifies that only the row header allow to move.
both: Specifies that both column and row header allow to move.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { FormsModule } from '@angular/forms';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
allowDragHederToMoveOptions: any;
allowDragHeaderToMove: number;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
this.allowDragHederToMoveOptions = [{
value: 0,
text: "None"
}, {
value: 1,
text: "Column"
}, {
value: 2,
text: "Row"
}, {
value: 3,
text: "Both"
}];
this.allowDragHeaderToMove = 0;
}
async initSpread($event: any) {
const loadingTip = addLoadingTip()
const spread = this.spread = $event.spread;
const res = await fetch('$DEMOROOT$/en/sample/features/worksheet/drag-header-to-move/spread.json');
await spread.fromJSON(await res.json());
spread.options.allowDragHeaderToMove = GC.Spread.Sheets.AllowDragHeaderToMove.none;
loadingTip.remove();
}
allowDragHeaderToMoveChange() {
const spread = this.spread;
spread.options.allowDragHeaderToMove = this.allowDragHeaderToMove;
}
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule, FormsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>First select the row or column headers, then drag the selected row or column headers to move the rows or columns.</p>
</div>
<hr>
<div class="option-row">
<label>Set the options below to specify how to allow drag header to move.</label>
</div>
<div class="option-row">
<label for="allowDragHeaderToMove">Drag header to move:</label>
<select name="allowDragHeaderToMove" id="allowDragHeaderToMove" [(ngModel)]="allowDragHeaderToMove" (change)="allowDragHeaderToMoveChange()">
<option *ngFor="let item of allowDragHederToMoveOptions" [value]="item.value|number">{{item.text}}</option>
</select>
</div>
</div>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: inline-block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

SpreadJS allows you to move rows or columns by drag row or column headers.
First select the row or column headers, then drag the selected row or column headers to move the rows or columns:
Users can specifies how to allow drag header to move through the following API:
The available options in GC.Spread.Sheets.AllowDragHeaderToMove:
none: Specifies that no drag header to move allowed.
column: Specifies that only the column header allow to move.
row: Specifies that only the row header allow to move.
both: Specifies that both column and row header allow to move.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
<p>First select the row or column headers, then drag the selected row or column headers to move the rows or
columns.</p>
</div>
<hr>
<div class="option-row">
<label>Set the options below to specify how to allow drag header to move.</label>
</div>
<div class="option-row">
<label for="allowDragHeaderToMove">Drag header to move:</label>
<select name="allowDragHeaderToMove" id="allowDragHeaderToMove" v-model="allowDragHeaderToMoveRef">
<option v-for="item of allowDragHederToMoveOptionsRef" :value="item.value">{{ item.text }}</option>
</select>
</div>
</div>
</div>
</template>
<script setup>
import GC from '@mescius/spread-sheets';
import { ref, watch } from "vue";
import "@mescius/spread-sheets-vue";
const spreadRef = ref(null);
const allowDragHederToMoveOptionsRef = ref([{
value: 0,
text: "None"
}, {
value: 1,
text: "Column"
}, {
value: 2,
text: "Row"
}, {
value: 3,
text: "Both"
}]);
const allowDragHeaderToMoveRef = ref(0);
let initSpread = async function (spread) {
spreadRef.value = spread;
const loadingTip = addLoadingTip();
const res = await fetch('$DEMOROOT$/en/sample/features/worksheet/drag-header-to-move/spread.json');
await spread.fromJSON(await res.json());
spread.options.allowDragHeaderToMove = GC.Spread.Sheets.AllowDragHeaderToMove.none;
loadingTip.remove();
}
function addLoadingTip() {
const div = document.createElement('div');
div.style.position = 'absolute';
div.style.inset = '0';
div.style.display = 'flex';
div.style.alignItems = 'center';
div.style.justifyContent = 'center';
div.style.background = 'white';
div.style.zIndex = '100';
div.textContent = 'Loading data from server ...';
document.body.appendChild(div);
return div;
}
watch(allowDragHeaderToMoveRef, (value) => {
let spread = spreadRef.value;
spread.options.allowDragHeaderToMove = value;
});
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
label {
display: inline-block;
margin-bottom: 6px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);